import { ExportData } from "@bitwarden/common/importers/onepasswordImporters/types/onepassword1PuxImporterTypes";

export const IdentityData: ExportData = {
  accounts: [
    {
      attrs: {
        accountName: "1Password Customer",
        name: "1Password Customer",
        avatar: "",
        email: "username123123123@gmail.com",
        uuid: "TRIZ3XV4JJFRXJ3BARILLTUA6E",
        domain: "https://my.1password.com/",
      },
      vaults: [
        {
          attrs: {
            uuid: "pqcgbqjxr4tng2hsqt5ffrgwju",
            desc: "Just test entries",
            avatar: "ke7i5rxnjrh3tj6uesstcosspu.png",
            name: "T's Test Vault",
            type: "U",
          },
          items: [
            {
              uuid: "45mjttbbq3owgij2uis55pfrlq",
              favIndex: 0,
              createdAt: 1619465450,
              updatedAt: 1619465789,
              trashed: false,
              categoryUuid: "004",
              details: {
                loginFields: [],
                notesPlain: "",
                sections: [
                  {
                    title: "Identification",
                    name: "name",
                    fields: [
                      {
                        title: "first name",
                        id: "firstname",
                        value: {
                          string: "George",
                        },
                        indexAtSource: 0,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                      {
                        title: "initial",
                        id: "initial",
                        value: {
                          string: "S",
                        },
                        indexAtSource: 1,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                      {
                        title: "last name",
                        id: "lastname",
                        value: {
                          string: "Engels",
                        },
                        indexAtSource: 2,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                      {
                        title: "sex",
                        id: "sex",
                        value: {
                          menu: "male",
                        },
                        indexAtSource: 3,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "birth date",
                        id: "birthdate",
                        value: {
                          date: 347198460,
                        },
                        indexAtSource: 4,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "occupation",
                        id: "occupation",
                        value: {
                          string: "Steel Worker",
                        },
                        indexAtSource: 5,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                      {
                        title: "company",
                        id: "company",
                        value: {
                          string: "Acme Inc.",
                        },
                        indexAtSource: 6,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                      {
                        title: "department",
                        id: "department",
                        value: {
                          string: "QA",
                        },
                        indexAtSource: 7,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                      {
                        title: "job title",
                        id: "jobtitle",
                        value: {
                          string: "Quality Assurance Manager",
                        },
                        indexAtSource: 8,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "words",
                        },
                      },
                    ],
                  },
                  {
                    title: "Address",
                    name: "address",
                    fields: [
                      {
                        title: "address",
                        id: "address",
                        value: {
                          address: {
                            street: "1312 Main St.",
                            city: "Atlantis",
                            country: "us",
                            zip: "90210",
                            state: "California",
                          },
                        },
                        indexAtSource: 0,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "sentences",
                        },
                      },
                      {
                        title: "default phone",
                        id: "defphone",
                        value: {
                          phone: "4565555555",
                        },
                        indexAtSource: 1,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "home",
                        id: "homephone",
                        value: {
                          phone: "4575555555",
                        },
                        indexAtSource: 2,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "cell",
                        id: "cellphone",
                        value: {
                          phone: "4585555555",
                        },
                        indexAtSource: 3,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "business",
                        id: "busphone",
                        value: {
                          phone: "4595555555",
                        },
                        indexAtSource: 4,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                    ],
                  },
                  {
                    title: "Internet Details",
                    name: "internet",
                    fields: [
                      {
                        title: "username",
                        id: "username",
                        value: {
                          string: "gengels",
                        },
                        indexAtSource: 0,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "reminder question",
                        id: "reminderq",
                        value: {
                          string: "Who's a super cool guy?",
                        },
                        indexAtSource: 1,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "reminder answer",
                        id: "remindera",
                        value: {
                          string: "Me, buddy.",
                        },
                        indexAtSource: 2,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "email",
                        id: "email",
                        value: {
                          string: "gengels@nullvalue.test",
                        },
                        indexAtSource: 3,
                        guarded: true,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "emailAddress",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "website",
                        id: "website",
                        value: {
                          string: "cv.gengels.nullvalue.test",
                        },
                        indexAtSource: 4,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "uRL",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "ICQ",
                        id: "icq",
                        value: {
                          string: "12345678",
                        },
                        indexAtSource: 5,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "skype",
                        id: "skype",
                        value: {
                          string: "skypeisbad1619",
                        },
                        indexAtSource: 6,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "AOL/AIM",
                        id: "aim",
                        value: {
                          string: "aollol@lololol.aol.com",
                        },
                        indexAtSource: 7,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "Yahoo",
                        id: "yahoo",
                        value: {
                          string: "sk8rboi13@yah00.com",
                        },
                        indexAtSource: 8,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "MSN",
                        id: "msn",
                        value: {
                          string: "msnothankyou@msn&m&m.com",
                        },
                        indexAtSource: 9,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                      {
                        title: "forum signature",
                        id: "forumsig",
                        value: {
                          string: "super cool guy",
                        },
                        indexAtSource: 10,
                        guarded: false,
                        multiline: false,
                        dontGenerate: false,
                        inputTraits: {
                          keyboard: "default",
                          correction: "default",
                          capitalization: "default",
                        },
                      },
                    ],
                  },
                ],
                passwordHistory: [],
              },
              overview: {
                subtitle: "George Engels",
                title: "George Engels",
                url: "",
                ps: 0,
                pbe: 0.0,
                pgrng: false,
              },
            },
          ],
        },
      ],
    },
  ],
};
